summaryrefslogtreecommitdiff
path: root/sh/gendepends.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'sh/gendepends.sh.in')
-rw-r--r--sh/gendepends.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/gendepends.sh.in b/sh/gendepends.sh.in
index 806c79b..5c555ad 100644
--- a/sh/gendepends.sh.in
+++ b/sh/gendepends.sh.in
@@ -48,7 +48,7 @@ do
cd "${_dir}"
for RC_SERVICE in *; do
- [ -x "${RC_SERVICE}" ] || continue
+ [ -x "${RC_SERVICE}" -a -f "${RC_SERVICE}" ] || continue
# Only generate dependencies for runscripts
read one two < "${RC_SERVICE}"